<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("_b2f5a1004511643" . "96178c16d2a5c689" . "9" => base64_decode("cHJldl90aXR" . "sZQ=="), "_6e38cb9e04" . "3a07cd69a17" . "11a6704c62a" => base64_decode("cGFyZW5" . "0X2lk"), "tit" . "le" => base64_decode("dG" . "l0" . "bG" . "U="), "_a5e22fe41a6e4288b56df78f2" . "f278f8f" => base64_decode("cHJldl9wYXJlbnRfa" . "WQ="));
use Claromentis\Core\Event\GenericEvent;


class UpdateFolderEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_b2f5a100" . "451164396" . "178c16d2a" . "5c6899"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["tit" . "le"]);
    }
    public function GetPrevParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_a5e22fe41a6e4288b56d" . "f78f2f278f8f"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_6e38cb9e043a07cd69a1711a6704c" . "62a"]);
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}